%define fontname    écolier-court
%define fontdir     %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

%define alphatag .20070628

Name:    %{fontname}-fonts
Version: 1.00
Release: 0.4%{?alphatag}%{?dist}
Summary: Écolier court cursive fonts

Group:   User Interface/X
License: OFL
URL:     http://perso.orange.fr/jm.douteau/page_ecolier.htm
# Unfortunately there is no versionned source archive to use
# The author asks on the project page to distribute the fonts with
# the OFL text (French and English) and a readme
# Thus the long source list
Source0: http://perso.orange.fr/jm.douteau/polices/ecl_cour.ttf
Source1: http://perso.orange.fr/jm.douteau/polices/ec_cour.ttf
# http://scripts.sil.org/cms/scripts/render_download.php?site_id=nrsi&format=file&media_id=OFL_plaintext&filename=OFL.txt
Source2: OFL.txt
# Text conversion of http://fontforge.sourceforge.net/OFL-Unofficial-fr.html
# With font and author names filed in
Source3: %{name}-OFL-fr.txt
Source4: http://perso.orange.fr/jm.douteau/polices/lisez_moi.txt

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

Provides: ecolier-court-fonts = %{version}-%{release}

%description
Écolier are a set of latin fonts created by Jean-Marie Douteau to mimick the
traditionnal cursive writing French children are taught in school.

He kindly released two of them under the OFL, which are redistributed in this
package.


%prep
%setup -q -c -T
install -m 0644 -p %{SOURCE2} %{SOURCE3} .
iconv -f iso-8859-15 -t utf-8 %{SOURCE4} > lisez_moi.txt
touch -r %{SOURCE4} lisez_moi.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done


%build
# Nothing there


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p %{SOURCE0} %{SOURCE1} %{buildroot}%{fontdir}


%clean
rm -fr %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir} || :
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir} || :
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc *.txt

%dir %{fontdir}
%{fontdir}/*.ttf


%changelog
* Sun Nov 25 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
☺ 1.00-0.4.20070628
✓ sync with packaging guidelines

* Sat Sep 8 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
☺ 1.00-0.2.20070628
✓ use more accurate naming
✓ add an ascii alias as suggested in review

* Tue Aug 28 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
☺ 1.00-0.1.20070628
✓ Initial packaging (based on dejavu & charis specs)
